Deployments.ai Docs
Workflows

List workflow definitions

GET /v1/workflow-definitions · SDK listWorkflowDefinitions · CLI deployments workflow list

GET
/v1/workflow-definitions

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListWorkflowDefinitionsResponse

application/json
  1. response
items*array<>
nextCursor?|null|null
curl -X GET "https://example.com/v1/workflow-definitions" \  -H "x-deployments-environment: string"
{  "items": [    {      "environmentId": "string",      "organizationId": "string",      "projectId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "id": "string",      "name": "string",      "slug": "string",      "status": "active",      "updatedAt": "2019-08-24T14:15:22Z",      "version": 0    }  ],  "nextCursor": "string"}